@import url('https://fonts.googleapis.com/css2?family=Jost:ital,wght@0,100..900;1,100..900&family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Cormorant+Garamond:ital,wght@0,300..700;1,300..700&family=Jost:ital,wght@0,100..900;1,100..900&family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

@font-face{
    src: url(../fonts/Avenir/Avenir_Regular/Avenir_Regular.ttf);
    font-family: 'avenir';
}
/* var */
:root{
    --standard-beige:#B9A16B;
    --standard-border:#E4E4E4;
    --seethrough-black:rgba(0, 0, 0, 0.75);
    --secondary-beige:#BAA370;
    --standard-gray: #808080;
    --secondary-gray: #767676;
}

/* page selectors */
*{
    margin: 0;
    padding: 0;
}
html,body{
    font-family: 'Open Sans', sans-serif;
    font-size: 13px;
    font-weight: 600;
}
a{
    text-decoration: none;
    transition: all 500ms ease-in-out;
}
a:hover{
    text-decoration: underline;
    font-size: 1.2em;
    transition: all 500ms ease-in-out;
}
/* header selectors */
header{
    position: relative;
    display: flex;
    justify-content: space-around;
    padding-left:20px;
    color: white;
    align-items: center;
}
header ul{
    display: flex;
    gap: 20px;
    flex: 1;
}
header li{
    list-style: none;
}
.logo{
    display: flex;
     flex: 1;
     justify-content: center;
}
.head-icons{
    display: flex;
    flex: 1;
    justify-content: flex-end;
    gap: 20px;
    align-items: center;
}
header .icons{
    gap: 20px;
    display: flex;
}
.cart{
    background-color: var(--standard-beige);
    display: flex;
    padding: 20px;
    align-items: center;
    gap: 20px;
}
.shopping-bag{
    height: 24px;
    width: 24px;
}
header a{
    color: white;
}
/* wrapper selectors*/
.wrapper{
    background-image: url(../images/wine/wine-cellar.jpg);
    background-repeat: no-repeat;
    height: 100vh;
}
.wrapper > img{
    position: absolute;
    bottom: 30vh;
    right:30vw;
    height: auto;
    width: clamp(100px, 40vw, 400px);
}
/* featured selectors */
.featured p:nth-child(1){
    font-family: 'Cormorant Garamond';
    font-size:40px;
    font-weight: 700;
}
.featured p, .items p{
    text-align: center;
    font-weight: 400;
}
.featured button{
    margin: 0 auto;
}
.featured-products, .items{
    display: flex;
    gap: 20px;
    padding: 60px;
}
.resizable{
    height: auto;
    max-width: 100%; 
}
figcaption{
    font-family: 'Cormorant Garamond';
    font-weight: 700;
    font-size: 16px;
    text-align: center;
}
figure p:first-of-type{
    font-family: 'avenir';
    font-weight: 200;
    font-size: 15px;
    color: #5A5A5A;
}
.button-wrapper{
    display: flex;
    justify-content: center;
}
.button-wrapper button{
    background-color: #142747;
    color: white;
    padding: 10px 40px;
    border: none;
    cursor: pointer;
}
/* about selectors */
.about{
    padding: 50px 0px;
    display: grid;
    grid-template-areas: 'image text';
}
.about img{
    grid-area: 'image';
    padding: 5px;
}
.about div{
    max-width: 500px;
    grid-area: 'text';
    align-self: center;
}
.about p{
    font-weight: 400;
    padding: 30px 0;
    color: var(--secondary-gray);
}
.about h3{
    font-size: 40px;
    font-weight: 700;
}
.about button{
    color: var(--secondary-beige);
    background-color: white;
    border: none;
    border-bottom: var(--secondary-beige) 2px solid;
}
/* how selectors */
.how{
    display: flex;
    background-color:var(--secondary-beige);
    background-image: url(../images/vector.png);
    height: 300px;
    justify-content: space-around;
    align-items: center;
    color: white;
}
.how p:first-child{
    font-family: 'Cormorant Garamond';
    font-size: 30px;
}
.how > div > p {
    font-size: 100px!important;
    font-weight: 700;
    padding: 30px;
}
.how > div{
    display: flex;
    align-items: center;
}
/* new selectors */
.new{
    margin-top: 40px;
}
.head{
    text-align: center;
}
.head p:first-of-type{
    font-family: 'Cormorant Garamond';
    font-size: 40px;
    font-weight: 700;
}
.head p:last-of-type{
    color: var(--standard-gray);
}
.tabs{
    display: flex;
    justify-content: center;
    padding: 10px;
}
.tabs p{
    margin: 10px;
}
.tabs p:first-of-type, .tabs p:last-of-type{
    color: var(--standard-gray);
}
.tabs p:nth-of-type(2){
    border-bottom: black 2px solid;
}
/* banner selectors */
.wine{
    display: flex;
}
.wine p:first-child{
    font-family: 'Cormorant Garamond';
    font-weight: 700;
    font-size: 40px;
}
.wine button{
    background-color: white;
    border: none;
    text-decoration: underline;
    font-weight: 600;
}
.wine div{
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 30px;
    text-align: center;
}
.red{
    height: 480px;
    width: 854px;
    position: relative;
    left: 10%;
    top: 5vh;
}
.red div img{
    position: absolute;
    height: 384px;
    width: 181px;
    left: 70px;
    top: 14vh;
}
.rose{
    height: 360px;
    width: 460px;
    position: relative;
    left: 60%;
    top: 3vh;
}
.rose div img{
    position: absolute;
    height: 384px;
    width: 181px;
    right: 0px;
    top: 1vh;
}
.rose img{
    object-fit: cover;

}
.white{
    height: 360px;
    width: 640px;
    position: relative;
    left: 15%;
    bottom: 6vh;
}
.white div img{
    position: absolute;
    height: 462px;
    width: auto;
    right: 0px;
    top: 1vh;
}
/* footer selectors*/
footer{
    margin-top: 200px;
    background-image: url(../images/footer-vector.png);
    border-top: 1px solid var(--standard-border);
    padding-top:30px ;
}
/* email selectors */
.email{
    text-align: center;
}
.email h3{
    font-size: 40px;
    font-weight: 700;
    font-family: 'Cormorant Garamond';
}
.email p{
    color: var(--standard-gray);
    font-weight: 400;
    padding: 10px;
}
.email form{
    margin: 20px;
}
.email input[type="email"]{
    padding: 20px 300px 20px 20px;
    border: 1px solid var(--standard-border);
}
.email input[type="submit"]{
    padding: 21px 51px;
    color: white;
    background-color: var(--standard-beige);
    border: none;
}
/* inner selectors */
.inner{
    display: flex;
    padding: 30px;
}
.inner div{
    display: flex;
    flex-direction: column;
}
.inner .icons{
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    padding-top: 20px;
}
.inner p{
    padding: 5px;
}
.inner div:nth-child(1){
    width: 20%;
}
.inner div:nth-child(2){
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    width: 100%;
}
.inner ul{
    list-style-type: none;
}
.inner li:nth-child(1){
    font-weight: 700;
    font-size: 22px;
    font-family: 'Cormorant Garamond';
}
.inner li{
    font-weight: 400;
    padding: 10px;
}
select{
    border: none;
}
.bottom{
    border-top:1px solid var(--standard-border);
    display: flex;
    justify-content: space-around;
    padding: 30px;

}
/* back-to-top */
.back-to-top{
    position: fixed;
    right: 7%;
    bottom: 10%;
}
/* mobile only elements */
.menu, .buffer{
    display: none;
}
/* About us selectors */
.about-us{
    background-color: var(--seethrough-black);
    width: 70vw;
    max-height: max(200px,70vh);
    margin: 0 auto;
    position: relative;
    top: 10vh;
    display: flex;
    color: white;
    justify-content: space-between;
}
.about-us img{
    max-width: 40%;
    height: auto;
}
.about-us div{
    padding: 10px;
}
.about-us h3{
    font-size: 2em;
}
.about-us p{
    margin-bottom: 80px;
    font-size: 1.5em;
    font-weight: 400;
}
/* contact selectors */
.contact{
    display: flex;
    justify-content: center;
    align-items: center;
    height: 70%;
    color: white;
    flex-direction: column;
    text-align: center;
    background-color: var(--seethrough-black);
    margin-top: 5vh;
}
.contact h5{
    padding: 10px;
}
.contact div{
    display: flex;
    column-gap: 10px;
}
.contact div div{
    display: flex;
    justify-content: center;
    flex-direction: column;
}
iframe{
    width: 80vw;
    height: 60vh;
}
.contact a{
    padding: 0px 30px;
    color: white;
}
.contact-email{
    align-items: center;
    display: flex;
    flex-direction: column;
    padding: 10px;
}
.contact-email h4{
    font-size: 30px;
    font-weight: 500;
}
.contact-email form{
    display: flex;
    flex-direction: column;
    gap: 10px;
    align-items: center;
}
.contact-email input{
    border: var(--secondary-gray) solid 1px;
}
.contact-email input:focus{
    border: black;
}
.contact-email form *{
    padding: 20px;
    width: 30vw;
}
.contact-email input[type='submit']{
    width: 50%;
    background-color: black;
    color: white;
}
/* blog selectors */
.blog{
    background-color: var(--seethrough-black);
    color: white;
}
.blog ul{
    display: flex;
    gap: 20px;
    list-style: none;
}
.blog li:first-child{
    border-bottom: 1px solid white;
}
.blog-items{
    display: grid;
    grid-template-columns: 30vw 30vw 30vw;
    grid-template-rows: 45vh 45vh;
    gap: 40px;
}
.blog figure{
    padding: 20px;
}
.blog .blog-items figcaption{
    text-align: start;
    font-weight: 600;
    font-size: 1.75em;
}
.blog-items p{
    font-weight: 300;
}
.blog-items a{
    font-weight: 800;
    text-decoration: underline;
    cursor: pointer;
}